program metamolaunch;

uses
  Forms,
  ml_menu in 'ml_menu.pas' {MainForm},
  Windows,
  Dialogs,
  ML_options in 'ML_options.pas' {OptionForm},
  myThread in 'myThread.pas',
  about in 'about.pas' {AboutBox};

{$R *.res}

var
  hMutex: THandle;
begin
  hMutex := CreateMutex(nil, False, 'MetamoLinuxlauncher');
  if WaitForSingleObject(hMutex, 0) = WAIT_TIMEOUT then
  begin
    MessageDlg('MetamSetup or anothoer MetammoLaunch are already running, '#10 +
                 'instance of this program is not possible', mtError, [mbCancel], 0);
    exit;
  end;
  
  Application.Initialize;
  Application.Title := 'MetamoLaunch';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TOptionForm, OptionForm);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.Run;
{
    MetamoLaunch, the Metamo Linux launcher for Windows 2000 & XP
    Copyright (C) 2005 Keishi Suenaga.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}
end.
